MEDIA_TYPE = netboot image
TARGET = $(TEMP_INITRD) $(TEMP_KERNEL) keystone
EXTRANAME = $(MEDIUM)/
INITRD_FS = initramfs

MANIFEST-INITRD = "netboot initrd"
MANIFEST-KERNEL = "kernel image to netboot"

keystone:
	mkdir -p $(SOME_DEST)/$(EXTRANAME)/
	mkimage -A arm -O linux -T ramdisk -C gzip -a 0x80000000 -e 0x80000000 -n "debian-installer ramdisk" -d $(TEMP_INITRD) $(SOME_DEST)/$(EXTRANAME)/initrd.gz
	cp $(TEMP_KERNEL) $(SOME_DEST)/$(EXTRANAME)/vmlinuz
	update-manifest $(SOME_DEST)/$(EXTRANAME)/vmlinuz "Linux kernel for TI keystone"
	update-manifest $(SOME_DEST)/$(EXTRANAME)/initrd.gz "Installer for TI keystone (raw)"
